Last Comment Bug 696009 - [Linux 32bit PGO] Intermittent test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas"
: [Linux 32bit PGO] Intermittent test/webgl/test_webgl_conformance_test_suite.h...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-10-20 02:29 PDT by Marco Bonardo [::mak]
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marco Bonardo [::mak] 2011-10-20 02:29:44 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6945760&tree=Mozilla-Inbound

Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-20 00:54:16 PDT for push 67673422f7d2

WebGL mochitest: starting page conformance/glsl/reserved/_webgl_variable.vert.html
ResizeOffscreenFBO failed with AA, retrying without...
ResizeOffscreenFBO failed with AA, retrying without...
45996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45997 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
WebGL test error: test page failure: conformance/glsl/reserved/_webgl_variable.vert.html
WebGL mochitest: starting page conformance/glsl/reserved/webgl_field.vert.html
ResizeOffscreenFBO failed with AA, retrying without...
ResizeOffscreenFBO failed with AA, retrying without...
45998 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45999 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
WebGL test error: test page failure: conformance/glsl/reserved/webgl_field.vert.html
WebGL mochitest: starting page conformance/glsl/reserved/webgl_function.vert.html
ResizeOffscreenFBO failed with AA, retrying without...
ResizeOffscreenFBO failed with AA, retrying without...
46000 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
46001 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
WebGL test error: test page failure: conformance/glsl/reserved/webgl_function.vert.html
Comment 1 Treeherder Robot 2011-10-20 08:09:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6950416&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-20 07:07:30

45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45991 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45992 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45995 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 2 Treeherder Robot 2011-10-20 08:38:02 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6950394&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-20 07:03:14

45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45991 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45992 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
Comment 3 Treeherder Robot 2011-10-20 13:42:33 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6955783&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-20 13:11:15

45971 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45972 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45973 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45974 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45975 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45976 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45977 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45978 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 4 Treeherder Robot 2011-10-20 15:03:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6956595&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-20 13:57:54

45976 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45977 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45978 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45979 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45980 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45981 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45982 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45983 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 5 Treeherder Robot 2011-10-20 20:07:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6961258&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-20 19:20:42

45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45991 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45992 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 6 Treeherder Robot 2011-10-20 20:30:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6961664&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-20 19:51:15

45998 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45999 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2011-10-20 21:25:37 PDT
The timing suggests a regression from bug 615976; this could easily be the same as bug 696093 which just got fixed, in which case we won't see it anymore.
Comment 8 Treeherder Robot 2011-10-21 04:39:05 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6966759&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-21 04:04:52

45977 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45978 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45979 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45980 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45981 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45982 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2011-10-21 05:06:30 PDT
(In reply to Benoit Jacob [:bjacob] from comment #7)
> The timing suggests a regression from bug 615976; this could easily be the
> same as bug 696093 which just got fixed, in which case we won't see it
> anymore.

Nope, comment 8 is against this push, so it's not fixed.
Comment 10 Treeherder Robot 2011-10-21 08:01:00 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6968685&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-21 07:08:39

45973 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45974 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45975 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45976 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45977 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45978 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45979 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45980 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
Comment 11 Treeherder Robot 2011-10-21 08:24:03 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6968571&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-21 06:59:48

46000 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
46001 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
46002 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
46003 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
46004 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
46005 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
46006 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
46007 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
Comment 12 Benoit Jacob [:bjacob] (mostly away) 2011-10-21 13:03:49 PDT
A theory and a patch are being considered on bug 695947. Try push:

https://bugzilla.mozilla.org/show_bug.cgi?id=696093
Comment 13 Benoit Jacob [:bjacob] (mostly away) 2011-10-21 13:04:15 PDT
oops. try push : https://tbpl.mozilla.org/?tree=Try&rev=a3d9424c6296
Comment 14 Benoit Jacob [:bjacob] (mostly away) 2011-10-21 13:26:04 PDT
That didn't have PGO enabled. new try: https://tbpl.mozilla.org/?tree=Try&rev=789cf49fdc63
Comment 15 Treeherder Robot 2011-10-21 16:49:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6976143&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-21 15:48:29

45983 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45984 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45985 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45986 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_variable.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_variable.vert.html)
Comment 16 Benoit Jacob [:bjacob] (mostly away) 2011-10-21 21:40:20 PDT
(In reply to Benoit Jacob [:bjacob] from comment #14)
> That didn't have PGO enabled. new try:
> https://tbpl.mozilla.org/?tree=Try&rev=789cf49fdc63

All green after 12 retriggers! Will land tomorrow.
Comment 17 Treeherder Robot 2011-10-22 01:54:20 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6981713&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-22 01:19:45

45995 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
Comment 18 Treeherder Robot 2011-10-22 01:56:45 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6981524&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-22 00:58:38

45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45991 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45992 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45995 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 19 Treeherder Robot 2011-10-22 05:37:27 PDT
mak77%bonardo.net
https://tbpl.mozilla.org/php/getParsedLog.php?id=6983014&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-22 04:58:07

45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45995 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45997 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45998 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
Comment 20 Treeherder Robot 2011-10-22 07:54:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6985123&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-22 07:03:24

45983 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45984 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45985 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45986 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 21 Treeherder Robot 2011-10-22 08:08:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6985478&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitests-1/5 on 2011-10-22 07:18:04

45966 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45967 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45968 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45969 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45970 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45971 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45972 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45973 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45974 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_variable.vert.html)
45975 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_variable.vert.html)
Comment 22 Benoit Jacob [:bjacob] (mostly away) 2011-10-22 10:50:16 PDT
http://hg.mozilla.org/mozilla-central/rev/a0784cecf9bd

Keeping this bug open until the next m-c -> m-i merge
Comment 23 Treeherder Robot 2011-10-22 14:22:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6989733&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-22 13:41:22

45995 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45997 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45998 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45999 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
46000 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
46001 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
46002 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 24 Phil Ringnalda (:philor) 2011-10-22 17:49:11 PDT
Backed out in https://hg.mozilla.org/mozilla-central/rev/66ab3bbae4c5 to investigate the unlikely, but none the less apparently true, way that the followup push turned bug 674244, a failure in a browser-chrome test, permaorange on Linux32 debug. How a change to a test that runs in mochitest-1 could affect a test that runs in a totally different suite is... interesting.
Comment 25 Phil Ringnalda (:philor) 2011-10-22 20:52:07 PDT
Relanded (with the two folded together) in https://hg.mozilla.org/mozilla-central/rev/1fa31fa85082 - on your push, the original test run and five retriggers all hit bug 674244, and the original test run on the next push had hit it as well, making you look pretty bad. Then after I backed you out, I triggered some more on both your push and the next (and the previous, for that matter), and every single one of those was green, more like it was a timebomb or something like that.
Comment 26 Treeherder Robot 2011-10-23 05:05:09 PDT
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=6992895&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-23 00:54:52

45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_struct.vert.html)
45989 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45990 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/_webgl_variable.vert.html)
45991 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45992 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45993 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45994 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
Comment 27 Treeherder Robot 2011-10-23 08:44:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6995116&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitests-1/5 on 2011-10-23 04:55:51

45983 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45984 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_field.vert.html)
45985 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45986 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_function.vert.html)
45987 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "Unable to fetch WebGL rendering context for Canvas" (URL: conformance/glsl/reserved/webgl_struct.vert.html)
45988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "context does not exist" (URL: conformance/glsl/reserved/webgl_struct.vert.html)

Note You need to log in before you can comment on or make changes to this bug.